# Apply for me, or repair: take a dump of the zone, apply the records and verify

`POST /workspace/domains/{d}/configure` · Rivier · domains

Apply for me, or repair: take a dump of the zone, apply the records and verify.

- Scope: domains:write
- Sdk: domains.domain.configure
- Cli: domains domain configure
- Events: domains.domain.configured

## Parameters

- `d` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "replaceConflicts": {
      "type": "boolean"
    },
    "autoManage": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/domains/{d}/configure' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "replaceConflicts": false,
  "autoManage": false
}'
```
